body {
    margin: 0;
}

.layout-content:not(.sidebar-active):not(.cursor-default) {
    cursor: none;    
}

.layout-content {
    @extend %absolute-top-left-full-display;
}

.stage-content {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
}

.stage-content > :nth-child(n) {
    pointer-events: none;
}


.layout-content.day .heaven {
    background: linear-gradient(180deg, #9fe8ff 0%, #7ee0ff 32.81%, #70ddff 59.37%, #15b6e9 100%);
    position: absolute;
    width: 100%;
    height: 100%;
}

.grass-behind,
.mountain {
    position: absolute;
    width: 100vw;
    height: 25vh;
    display: flex;
    justify-content: center;
}

.mountain {
    overflow: hidden;
}

.grass-behind,
.mountain.nearby {
    bottom: 0;
}

.distant.mountain {
    bottom: 15%;
    height: 23vh;
}

.mountain > .piso {
    position: absolute;
    top: 0;
    width: 150%;
    min-width: 65rem;
    height: 45vh;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.mountain.nearby > .piso {
    background: linear-gradient(180deg, #b7ed92 0%, #cef68d 34.9%, #bff38a 75.52%, #afe377 100%);
    box-shadow: inset 0px 6px 0px 1px #71bc35;
}

.distant.mountain > .piso {
    background: linear-gradient(201.07deg, #85db16 -12.68%, #6edc23 1.58%, #77d523 25.11%, #71bc35 38.26%);
    box-shadow: inset 0px 7px 0px 1px #4b7e0f;
    height: 35vh;
    min-height: 10rem;
}

.distant.mountain.right > .piso {
    left: 63%;
}

.distant.mountain:not(.right) > .piso {
    right: 60%;
    height: 49vh;
    top: -7%;
}

.mountain.nearby > .piso:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: radial-gradient(
        54.78% 54.78% at 55.59% 15.14%,
        rgba(183, 237, 146, 0) 0%,
        rgba(206, 246, 141, 0) 19.01%,
        #bff38a 59.26%,
        #afe377 100%
    );
    border: 6px solid #3d87004d;
    border-radius: 50%;
}

.mountain.nearby > .piso > .texture {
    background-image: url(../../layout/images/textures/texture.svg);
    max-width: 50rem;
    width: 40%;
    height: 40%;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    opacity: 0.4;
}

.mountain.far-away {
    background-image: url(../../layout/images/textures/mountain_far_away.svg);
    bottom: 0;
    background-size: 67% 79%;
    background-repeat: repeat-x;
    background-position: center bottom;
    height: 100%;
}

.content-grass {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.grass-behind .grass:before,
.grass-behind .grass-right:before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background-repeat: no-repeat;
    background-size: initial;
    background-position: 0 0;
    background-image: url(../../layout/images/textures/grass.svg);
}

.grass-behind .grass,
.grass-behind .grass-right {
    width: 100%;
    height: 12vw;
    min-height: 7rem;
    max-height: 13rem;
    top: -5rem;
    position: relative;
    background-size: contain;
    background-repeat: no-repeat;
    transform: skew(29deg, 0deg);
    animation: 3.5s cubic-bezier(0.49, 0.29, 0.57, 0.77);
    transition: 3.5s cubic-bezier(0.49, 0.29, 0.57, 0.77);
    animation-name: grass;
    animation-iteration-count: infinite;
    animation-duration:2500ms;
}

@keyframes grass {
    0% {
        transform: skew(29deg, 0deg);
    }55% {
        transform: skew(-25deg, 0deg)perspective(200px)rotate3d(80, -17, 5, 20deg);
    }
    100% {
        transform: skew(29deg, 0deg);
    }
}

.grass-behind .grass-right:before {
    transform: scaleX(-1);
}

.content-cloud {
    background-image: url(../../layout/images/textures/cloud.svg);
    width: 100%;
    height: 25vh;
    max-height: 8rem;
    margin: 1rem 0;
    background-repeat: no-repeat;
    background-size: contain;
    background-position-x: 0;
    animation: 5.5s cubic-bezier(0.49, 0.54, 0.57, 0.63);
    transition: 5.5s cubic-bezier(0.49, 0.54, 0.57, 0.63);
    animation-name: cloud;
    animation-iteration-count: infinite;
    animation-duration: 100000ms;
}

@keyframes cloud {
    0% {
        background-position-x: -100%;
    }
    80% {
        opacity: 1;
    }
    100% {
        background-position-x: 150%;
        opacity: 0;
    }
}


.content-cloud.second {
    opacity: 0;
    animation-delay: 10s;
    animation-duration: 200000ms;
}
.content-cloud.third {
    opacity: 0;
    animation-delay: 8s;
    animation-duration: 300000ms;
}

.sea {
    position: absolute;
    width: 100%;
    height: 25vh;
    max-height: 15rem;
    bottom: 9%;
    background: #2eb0d8;
}

.content-component {
    position: absolute;
    width: 100%;
    height: calc(100% - 2.5rem);
    padding: 1rem;
    bottom: 0;
    display: inline-grid;
    align-items: end;
}

.btn-prev {
    position: fixed;
    top: 9rem;
    z-index: 2000;
}

.btn-prev:hover {
    transform: rotate(-5deg);
    cursor: pointer;
}

.literatura button.p-button:before, .video-arte button.p-button:before {
    content: "";
    width: 136px;
    height: 136px;
    background-image: url(../../layout/images/icons/film.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;

}

.literatura .menu-button img {
    position: absolute;
    top: 28px;
    height: 5rem;
    margin-bottom: 0;
}

.menu-title {
    position: fixed;
    width: auto;
    transform: translateY(-4.2rem)translateX(-1.5rem);
    background: red;
    color: white;
    font-size: 1.9rem;
    padding: 0.5rem 1rem;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}

// scroll

::-webkit-scrollbar {
    width: 9px;
    height: 8px;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background: #006793;
    border-radius: 5px;
    animation: .5s;
    transition: .5s;
}

:hover::-webkit-scrollbar-thumb {
    background: #0283bb;
    border-radius: 5px;
}

::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 0px;
    border: 1px solid transparent;
}

:hover::-webkit-scrollbar-track {
    border: 1px solid green;
}

::-webkit-scrollbar-thumb:hover {
    box-shadow: 0 0 2px 1px transparent;
}

::-webkit-scrollbar-track:hover,
::-webkit-scrollbar-track:active {
    background: transparent;
}

.tooltip {
    background: #47a6c4;
    color: white;
    width: min-content;
    margin: auto;
    font-size: 2rem;
    padding: 0.5rem;
    border-radius: 0.3rem;
    border: 2px solid #004e67;
    position: relative;
    margin-left: 20px;
}

.tooltip:after {
    content: "";
    position: absolute;
    top: 105%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #004e67 transparent transparent transparent;
}